KIWIX(1)

NAME
kiwix-manage - Kiwix Library Manager

SYNOPSIS
kiwix-manage
kiwix-manage LIBRARY_PATH add ZIM_PATH ...
    kiwix-manage LIBRARY_PATH show [CONTENTID1] [CONTENTID2] ...
    kiwix-manage LIBRARY_PATH remove CONTENTID1 [CONTENTID2]

DESCRIPTION

  kiwix-manage

kiwix-manage tool for managing a kiwix library.

Allows one to manage the content of the kiwix library. The library file is a flat XML file listing ZIM files with all necessary information like favicon, date, creator, description, indexpath, filepath, title, source/metalink, etc.

 Example library file can be found at https://www.kiwix.org/library.xml

add Add ZIM_FILE to LIBRARY_FILE.

show
    Show given CONTENT_ID from LIBRARY_FILE. If no CONTENT_ID is given then all contents from LIBRARY_FILE are shown.

remove
    Remove the given CONTENT_ID from LIBRARY_FILE. At least one CONTENT_ID should be specified.

--zimPathToSave=
    Change the location reference of the ZIM file in the library.

--current
    Mark this content as the current (default) content in the library.

--backend=xapian|clucene
    Select an indexing backend.

--indexPath=FULLTEXT_IDX_PATH
    Path to full-text index for that ZIM file.

url Set the content location of the ZIM file over the network for in-kiwix download.

SEE ALSO
kiwix(1) kiwix-serve(1)

AUTHOR
Emmanuel Engelhart <kelson@kiwix.org>
Vasudev Kamath <kamathvasudev@gmail.com> (Manual)